import { RouterType } from '@/types'
import React from 'react'

const tabLeftArr: RouterType = [
  {
    id: 1,
    name: '内容发布',
    son: [
      {
        id: 2,
        name: '首页轮播图',
        path: '/',
        Com: React.lazy(() => import('../A1banner'))
      },
      {
        id: 3,
        name: '克博简介',
        path: '/introduction',
        Com: React.lazy(() => import('../A2introduction'))
      },
      {
        id: 4,
        name: '克博地图',
        path: '/map',
        Com: React.lazy(() => import('../A3map'))
      },
      {
        id: 5,
        name: '克博资讯',
        path: '/news',
        Com: React.lazy(() => import('../A4news'))
      },
      {
        id: 6,
        name: '克博活动',
        path: '/activity',
        Com: React.lazy(() => import('../A5activity'))
      },
      {
        id: 7,
        name: '克博展览',
        path: '/exhibition',
        Com: React.lazy(() => import('../A6exhibition'))
      },
      {
        id: 8,
        name: '克博典藏',
        path: '/collection',
        Com: React.lazy(() => import('../A7collection'))
      }
    ]
  },
  {
    id: 9,
    name: '预约记录',
    son: [
      {
        id: 10,
        name: '展馆预约',
        path: '/reserve1',
        Com: React.lazy(() => import('../B1reserve1'))
      },
      {
        id: 11,
        name: '活动预约',
        path: '/reserve2',
        Com: React.lazy(() => import('../B2reserve2'))
      }
    ]
  },
  {
    id: 12,
    name: '预约管理',
    son: [
      {
        id: 13,
        name: '展馆预约设置',
        path: '/reserveOption',
        Com: React.lazy(() => import('../C1reserveOpt'))
      }
    ]
  },
  {
    id: 14,
    name: '意见反馈',
    son: [
      {
        id: 15,
        name: '意见反馈记录',
        path: '/feedback',
        Com: React.lazy(() => import('../D1feedback'))
      }
    ]
  },
  {
    id: 16,
    name: '系统设置',
    son: [
      {
        id: 17,
        name: '用户管理',
        path: '/user',
        Com: React.lazy(() => import('../Z1user'))
      }
    ]
  }
]

export default tabLeftArr
